From: <a href="/blend/av.cgi?id=220">wolfscreamer</a><BR>
Date: 23 March 2006<P>

OK I,m still in China.Just caught up with the thread of going back and changing old works.NOOOOOOOOOOOO.Everything I have written was penned when the feelings were THERE at THAT time, granted usually Chardonnay fuelled but they were my feelings THEN.Only reason to change would be for spelling errors (Chardonnay again).Those words we all wrote back then were our feelings of love,hate,hurt at that moment and when we read them years after I dare say we will to some extent remember that same feeling.The past is the past it will always be there and cannot be changed.<BR>
<BR>
Mike 
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 23 March 2006<P>

So, let me ramble out loud...<BR>
First off, I can't make too many promises about new features... I don't want to get anyone's hopes up too much, because sometimes I have trouble finding the time and energy to make new reliable code.<BR>
<BR>
On the other hand, I do think that the site could use some freshening up in terms of features...<BR>
<BR>
So here are some ideas I've come up with, along with a guess of the likely difficulty<BR>
<BR>
*"Comment On This" link (Easy)<BR>
Every poem view has a link that says "Comment on This Work" that takes you to the comments page, prepopulated with "About ***" where *** is the linkcode<BR>
<BR>
*Prettier Link Codes (Easy-Medium)<BR>
Link Codes have been UGLY for way too long. It might be too difficult to make them really beautiful, but maybe if I could include the work's name along with its id, that would help<BR>
<BR>
*Workshop (Medium)<BR>
This is an old idea I've had. Technically it might need almost zero work, though I thought of making a custom forum for it (though given the light conversation traffic we've had the last few years, maybe I'm less inclined to do that). Basically someone volunteers for ONE work to be subjected to meaningful (but hopefully constructive) criticism and suggestion.<BR>
<BR>
*My Favorites (Medium, but...)<BR>
This idea I like...every poem has a "Add to My Favorites" link, and then each person's account page has a list of links to those favorites. One problem is the UI might require you type your username/password every time you want to add a favorite, unless we include....<BR>
<BR>
*Login (Medium-Hard)<BR>
Right now every time you add something to the site, work or comment, you have to rekey your username and password. It might be nice to add works, comments, and "add to favorites" without having to relogin all the time... it's possible to abuse that I guess, but if Amazon can do it, maybe it's ok for me as well.<BR>
Of course adding that correctly might need a<BR>
<BR>
*Forgot Password recovery (Medium)<BR>
(I think one advantage to always having to login is that people are sharper about their password...)<BR>
<BR>
*Edit/Delete Previous Work (Medium-Hard)<BR>
There's some controversy on this. I do dislike the idea of people retracting or old works, but on the other hand, I can understand the desire for it.  One idea might be you can only edit works from the past month...and I don't want to let people delete things that were Front Page Picks.  One tricky part of this is the UI for it...though if we combined it with Logins, when you viewed your own auhor page, you could have links to edit/delete all the eligable works of yours<BR>
<BR>
*Avatars (Hard)<BR>
This one I'm kind of on the fence about. It's a bit tough to write securely, you need to limit the size of the things, you need to figure out what your policy for obscene ones are, and maybe you end up lookin' like a big ol' LiveJournal. On the other hand, it can be a useful hook for people to regonize other people.<BR>
<BR>
*Member Since / Work Count (Easy-Medium)<BR>
Maybe on the comments and/or works, show how long people have been a member, and/or how many works they've submitted? Though I don't want it to be too much of an elitest thing either.<BR>
<BR>
*Theme/Word of the Week (Easy-Medium)<BR>
This is a good idea. The only questions are who determines the theme, where do we display the theme?, should we we have a checkbox that says "this is an entry for this week's theme", etc.  Actually something like this might be a replacement for...<BR>
<BR>
*Survey<BR>
Which I'm considering retiring. It's been a lot of fun, it's made some thoughtful responses, but it's been getting tired, with less updates, and not many responses. 
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 23 March 2006<P>

Wow, that got much larger than I expected! Let me know what you think
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 23 March 2006<P>

Heh...it looks like I have a "forgot password" feature already in place, I just need more links to it.
<HR>
From: <a href="/blend/av.cgi?id=186">briana kassia</a><BR>
Date: 23 March 2006<P>

I personally love the comment on this idea and the constructive crit ideas, the favourites list is nice too, but the rest kinda like framing a sculpture: for me, one of this site's charms, and one of the reasons you all see my works in progress and unfinished or raw state is because there is no poofery or attention-getting customizations: the words have to stand on their own. That is what good poetry should be able to do, and I think the best of the works submitted here do an admirable job of that. I might wanna see the Front page made more fun, but the works pages are dandy just the way they are, for me. the prettier link codes would be nice though too. ... :P Just my two guilder.
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 23 March 2006<P>

About <a href="/blend/wv.cgi?id=2006.02.17.21.33.29262">To V, 1997</a>:<BR>
Testing! If this works, I've completed 2 of my ideas already: "Comment on this work" and "pretty linkcodes" (though you don't see the pretty version of the link code directly on the work view page, just when you click on Comment on This...but I suspect that's what most people will start using.)<BR>
<BR>
Feedback welcome! Especially on the format of the header on the work page, I was playing with putting the Comment on this and linkcode on the right side, and then the whole header on the right side, but I guess the current arrangement is pretty decent.
<HR>
From: <a href="/blend/av.cgi?id=339">jack</a><BR>
Date: 23 March 2006<P>

lol love the new ideas Kirk but spell check a must k?<BR>
<BR>
If you wish to sed in  a poem or story  please go to our Submissions Page. <BR>
 <BR>
 lol luv ya  <BR>
jack
<HR>